local app = import "../_templates/argocd_app.libsonnet";

[
app + {
  chart:: "renovate",
  repo:: "https://docs.renovatebot.com/helm-charts",
  version:: "36.*",
  values:: |||
    fullnameOverride: "renovate-bot"
    cronjob:
      schedule: '@daily'
      concurrencyPolicy: "Forbid"
    existingSecret: "renovate-env"
    renovate:
      persistence:
        cache:
          enabled: true
          storageSize: "128Mi"
      config: |
        {
          "onboardingConfigFileName": ".renovaterc.json",
          "onboardingConfig": {"extends":["local>infrastructure/renovate-config"]},
          "autodiscover": true
        }
  |||
}
]
